Can't import a public GitHub repository into a Launchpad proprietary Git repository

Bug #1789424 reported by Daniel Manrique on 2018-08-28
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Launchpad itself
High
Colin Watson
Seamly2D
Fix Released
Unknown

Bug Description

I tried to set up a code import of https://github.com/spdx/license-list-data.git to a Git branch on a proprietary project (so the branch itself was configured as proprietary and I can't change that, it seems).

Imports fail with:

 Import started 4 hours ago on alnitak and finished 4 hours ago taking 10 seconds — see the log

2018-08-28 09:09:12 INFO Starting job.
2018-08-28 09:09:12 INFO Getting existing repository from hosting service.
2018-08-28 09:09:12 INFO Cloning into bare repository 'repository'...
2018-08-28 09:09:12 INFO remote: ('401', 'Unauthorized')
2018-08-28 09:09:12 INFO fatal: unable to access 'https://<redacted>@git.launchpad.net/~ubuntuone-pqm-team/software-center-agent/+git/spdx-license-list-data/': The requested URL returned error: 500
2018-08-28 09:09:12 INFO Unable to get existing repository from hosting service: git clone exited 128
Import failed:
Traceback (most recent call last):
Failure: twisted.internet.error.ProcessTerminated: A process has ended with a probable error condition: process ended with exit code 1.

That's the last message, but the first two were a 500:

2018-08-27 20:38:56 INFO Starting job.
2018-08-27 20:38:56 INFO Getting existing repository from hosting service.
2018-08-27 20:38:57 INFO Cloning into bare repository 'repository'...
2018-08-27 20:38:57 INFO remote: ('401', 'Unauthorized')
2018-08-27 20:38:57 INFO fatal: unable to access 'https://<redacted>@git.launchpad.net/~ubuntuone-pqm-team/software-center-agent/+git/spdx-license-list-data/': The requested URL returned error: 500
2018-08-27 20:38:57 INFO Unable to get existing repository from hosting service: git clone exited 128
Import failed:
Traceback (most recent call last):
Failure: twisted.internet.error.ProcessTerminated: A process has ended with a probable error condition: process ended with exit code 1.

One thing I can do to work around this manually push my copy of that branch to Launchpad, and do so manually until the bug is fixed. But I wonder if you'd prefer me leaving things as they are for now, for investigation

Related branches

Colin Watson (cjwatson) on 2018-08-28
tags: added: code-import git internal-api privacy trivial
Changed in launchpad:
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
status: New → In Progress
Launchpad QA Bot (lpqabot) wrote :
tags: added: qa-needstesting
Changed in launchpad:
status: In Progress → Fix Committed
Colin Watson (cjwatson) on 2018-08-30
summary: - Can't import a public github branch into a Launchpad proprietary Git
- branch
+ Can't import a public GitHub repository into a Launchpad proprietary Git
+ repository
Colin Watson (cjwatson) on 2018-08-30
tags: added: qa-ok
removed: qa-needstesting
Colin Watson (cjwatson) on 2018-08-31
Changed in launchpad:
status: Fix Committed → Fix Released
Susan Spencer (susan-spencer) wrote :

The Seamly2D project started getting this exact error message on 09-27-2019. We haven't been able to build our package since that date.
https://code.launchpad.net/~susan-spencer/seamly2d/+git/seamly2d
https://github.com/FashionFreedom/Seamly2D/issues/219

Last import error message shown on Seamly2D's Launchpad project page at https://code.launchpad.net/~susan-spencer/seamly2d/+git/seamly2 was:
"Import started on 2019-09-27 on alnitak and finished on 2019-09-27 taking 50 seconds — see the log"

From http://launchpadlibrarian.net/444478095/susan-spencer-seamly2d-+git-seamly2d.log:
2019-09-27 19:16:42 INFO Starting job.
2019-09-27 19:16:42 INFO Getting existing repository from hosting service.
2019-09-27 19:17:18 INFO Cloning into bare repository 'repository'...
2019-09-27 19:17:18 INFO Fetching remote repository.
2019-09-27 19:17:19 INFO From https://github.com/FashionFreedom/Seamly2D
2019-09-27 19:17:19 INFO x [deleted] (none) -> refs/pull/196/merge
2019-09-27 19:17:19 INFO * [new branch] azure-pipelines-testbranch_1 -> source/azure-pipelines-testbranch_1
2019-09-27 19:17:19 INFO * [new branch] builds -> source/builds
2019-09-27 19:17:19 INFO * [new branch] develop -> source/develop
2019-09-27 19:17:19 INFO * [new branch] feature-173 -> source/feature-173
2019-09-27 19:17:19 INFO * [new branch] feature-183 -> source/feature-183
2019-09-27 19:17:19 INFO * [new branch] l10n_develop -> source/l10n_develop
2019-09-27 19:17:19 INFO * [new branch] l10n_develop2 -> source/l10n_develop2
2019-09-27 19:17:19 INFO * [new branch] l10n_master -> source/l10n_master
2019-09-27 19:17:19 INFO * [new branch] l10n_master2 -> source/l10n_master2
2019-09-27 19:17:19 INFO * [new branch] l10n_release -> source/l10n_release
2019-09-27 19:17:19 INFO * [new branch] master -> source/master
2019-09-27 19:17:19 INFO * [new branch] master_hotfix_qt59 -> source/master_hotfix_qt59
2019-09-27 19:17:19 INFO * [new branch] release -> source/release
2019-09-27 19:17:19 INFO * [new branch] trusty -> source/trusty
2019-09-27 19:17:19 INFO source/HEAD set to develop
2019-09-27 19:17:19 INFO Pushing repository to hosting service.
2019-09-27 19:17:20 INFO remote: Backend connection failed
2019-09-27 19:17:20 INFO fatal: unable to access 'https://<redacted>@git.launchpad.net/~susan-spencer/seamly2d/+git/seamly2d/': The requested URL returned error: 500
2019-09-27 19:17:20 INFO Unable to push to hosting service: git push exited 128
Import failed:
Traceback (most recent call last):
Failure: twisted.internet.error.ProcessTerminated: A process has ended with a probable error condition: process ended with exit code 1.

Changed in seamly2d:
importance: Unknown → High
importance: High → Critical
importance: Critical → High
Changed in seamly2d:
importance: High → Unknown
status: Unknown → New
Colin Watson (cjwatson) wrote :

Susan, despite the symptom being the same, this can't be the same bug - in your case, the target repository isn't proprietary (or any other kind of private repository). We should consider your problem solely in bug 1873726 and not here.

Changed in seamly2d:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.